local TSM = select(2, ...)
local Options = TSM:NewModule("Options")
local L = LibStub("AceLocale-3.0"):GetLocale("TradeSkillMaster_Totals") -- loads the localization table
local AceGUI = LibStub("AceGUI-3.0") -- load the AceGUI libraries
local private = {}

-- ============================================================================
-- Dropdown Types
-- ============================================================================
--local ReplyChannelSayDropDownBox = {["None"]=L["None"],["WHISPER"]=L["Whisper"],["SAY"]=L["Say"]}

-- ============================================================================
-- Module Options
-- ============================================================================
function Options:Load(container)
	local page = {
		{
		 type = "ScrollFrame",
		 layout = "list",
		 children = {
			{
				type = "InlineGroup",
				layout = "flow",
				title = L["Totals Options"],
				children = {
					{
					type = "CheckBox",
					value = TSM.db.global["IgnoreSelfTransfers"],
					settingInfo = { TSM.db.global, "IgnoreSelfTransfers" },
					label = L["Ignore Self Transfers"],
					tooltip = L["Gold transfers between your own characters are not counted."],
					},
				},
			},
		},
	}
}
	TSMAPI.GUI:BuildOptions(container, page)
	-- local tg = AceGUI:Create("TSMTabGroup")
	-- tg:SetLayout("Fill")
	-- tg:SetFullHeight(true)
	-- tg:SetFullWidth(true)
	-- tg:SetTabs({{value=1, text=L["General"]}})
	-- tg:SetCallback("OnGroupSelected", function(self, _, value)
		-- self:ReleaseChildren()
		-- private:DrawGeneralSettings(self)
	-- end)
	-- container:AddChild(tg)
	-- tg:SelectTab(1)
end

function private:DrawGeneralSettings(container)
	local page = {
		{
		 type = "ScrollFrame",
		 layout = "list",
		 children = {
			{
				type = "InlineGroup",
				layout = "flow",
				title = L["Totals Options"],
				children = {
					{
					type = "CheckBox",
					value = TSM.db.global["IgnoreSelfTransfers"],
					settingInfo = { TSM.db.global, "IgnoreSelfTransfers" },
					label = L["Ignore Self Transfers"],
					tooltip = L["Gold transfers between your own characters are not counted."],
					},
				},
			},
		},
	}
}
	TSMAPI.GUI:BuildOptions(container, page)
end